#version 330 core

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 vertexPosition_modelspace;

// Values that stay constant for the whole mesh.
uniform mat4 P;
uniform mat4 V;
uniform mat4 M;
uniform float worldScale;

void main(){
	vec3 scaledPosition = vertexPosition_modelspace * worldScale;

	gl_Position =  P * V * M * vec4(scaledPosition,1);
}

